Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier.scoringFunctionBased.gendismix
Class GenDisMixClassifierParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.classifier.scoringFunctionBased.ScoreClassifierParameterSet
                      de.jstacs.classifier.scoringFunctionBased.gendismix.GenDisMixClassifierParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class GenDisMixClassifierParameterSet

extends ScoreClassifierParameterSet

This class contains the parameters for the `GenDisMixClassifier`.

Author:
  Jan Grau, Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`` | `GenDisMixClassifierParameterSet(AlphabetContainer alphabet, int length, byte algo, double eps, double lineps, double startD, boolean free, OptimizableFunction.KindOfParameter kind, boolean norm, int threads)` The default constructor that constructs a new `GenDisMixClassifierParameterSet`.
`protected` | `GenDisMixClassifierParameterSet(Class<? extends ScoreClassifier> instanceClass, AlphabetContainer alphabet, int length, byte algo, double eps, double lineps, double startD, boolean free, OptimizableFunction.KindOfParameter kind, boolean norm, int threads)` The default constructor that constructs a new `GenDisMixClassifierParameterSet`.
`` | `GenDisMixClassifierParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`int` | `getNumberOfThreads()` This method returns the number of threads that should be used during optimization.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`void` | `setNumberOfThreads(int threads)` This method set the number of threads used during optimization.
`boolean` | `shouldBeNormalized()` This method indicates if a normalization shall be used while optimization.

Methods inherited from class de.jstacs.classifier.scoringFunctionBased.ScoreClassifierParameterSet
`getInstanceComment, getInstanceName, useOnlyFreeParameter`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`clone, equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, hasDefaultOrIsSet, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenDisMixClassifierParameterSet

    public GenDisMixClassifierParameterSet(StringBuffer xml)
                                    throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `GenDisMixClassifierParameterSet` out of its XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `GenDisMixClassifierParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `ScoreClassifierParameterSet.ScoreClassifierParameterSet(StringBuffer)`, `Storable`

### GenDisMixClassifierParameterSet

    public GenDisMixClassifierParameterSet(AlphabetContainer alphabet,
                                           int length,
                                           byte algo,
                                           double eps,
                                           double lineps,
                                           double startD,
                                           boolean free,
                                           OptimizableFunction.KindOfParameter kind,
                                           boolean norm,
                                           int threads)
                                    throws Exception

  The default constructor that constructs a new `GenDisMixClassifierParameterSet`.

  Parameters:
    `alphabet` - the `AlphabetContainer`
    `length` - the length of the sequences
    `algo` - the algorithm that shall be used for optimization
    `eps` - the epsilon for stopping the optimization
    `lineps` - the epsilon for stopping the line search
    `startD` - the start distance for the line search
    `free` - the switch for using only the free or all parameters in a `ScoringFunction`
    `kind` - indicates the kind of class parameter initialization
    `norm` - the switch for using a normalization while optimization
    `threads` - the `NumberFormatException` of threads used during an optimization
  Throws:
    `Exception` - if something went wrong
  See Also:
    `OptimizableFunction.KindOfParameter`, `GenDisMixClassifierParameterSet(Class, de.jstacs.data.AlphabetContainer, int, byte, double, double, double, boolean, de.jstacs.classifier.scoringFunctionBased.OptimizableFunction.KindOfParameter, boolean,int)`

### GenDisMixClassifierParameterSet

    protected GenDisMixClassifierParameterSet(Class<? extends ScoreClassifier> instanceClass,
                                              AlphabetContainer alphabet,
                                              int length,
                                              byte algo,
                                              double eps,
                                              double lineps,
                                              double startD,
                                              boolean free,
                                              OptimizableFunction.KindOfParameter kind,
                                              boolean norm,
                                              int threads)
                                       throws Exception

  The default constructor that constructs a new `GenDisMixClassifierParameterSet`.

  Parameters:
    `instanceClass` - the class of the instance
    `alphabet` - the `AlphabetContainer`
    `length` - the length of the sequences
    `algo` - the algorithm that shall be used for optimization
    `eps` - the epsilon for stopping the optimization
    `lineps` - the epsilon for stopping the line search
    `startD` - the start distance for the line search
    `free` - the switch for using only the free or all parameters in a `ScoringFunction`
    `kind` - indicates the kind of class parameter initialization
    `norm` - the switch for using a normalization while optimization
    `threads` - the `NumberFormatException` of threads used during an optimization
  Throws:
    `Exception` - if something went wrong
  See Also:
    `OptimizableFunction.KindOfParameter`, `ScoreClassifierParameterSet.ScoreClassifierParameterSet(Class, de.jstacs.data.AlphabetContainer, int, byte, double, double, double, boolean, de.jstacs.classifier.scoringFunctionBased.OptimizableFunction.KindOfParameter)`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `ScoreClassifierParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### shouldBeNormalized

    public boolean shouldBeNormalized()

  This method indicates if a normalization shall be used while optimization. The normalization is done through division by the number of sequences.

  Returns:
    `true` if a normalization shall be used while optimization, `false` otherwise

### getNumberOfThreads

    public int getNumberOfThreads()

  This method returns the number of threads that should be used during optimization.

  Returns:
    the number of threads that should be used during optimization

### setNumberOfThreads

    public void setNumberOfThreads(int threads)
                            throws SimpleParameter.IllegalValueException

  This method set the number of threads used during optimization.

  Parameters:
    `threads` - the number of threads used during optimization
  Throws:
    `SimpleParameter.IllegalValueException` - if the value could not be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD